%global netfilter_url http://www.netfilter.org/projects/libnetfilter_cthelper

Summary:        User-space infrastructure for connection tracking helpers
Name:           libnetfilter_cthelper
Version:        1.0.0
Release:        3%{?dist}
License:        GPLv2
URL:            %{netfilter_url}/index.html
Source0:        %{netfilter_url}/files/libnetfilter_cthelper-%{version}.tar.bz2

BuildRequires:  gcc libmnl-devel pkgconfig, kernel-headers make

%description
This library provides the infrastructure for the user-space helper infrastructure
available since the Linux kernel 3.6.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}
Requires:       kernel-headers libmnl-devel

%description    devel
The %{name}-devel package contains libraries and header files for developing
applications that use %{name}.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%configure --disable-static
%make_build

%install
rm -rf %{buildroot}
%make_install
find %{buildroot} -type f -name '*.la' -exec rm -f {} ';'

%files
%license COPYING
%doc README
%{_libdir}/*.so.*

%files devel
%doc examples
%{_libdir}/pkgconfig/*.pc
%dir %{_includedir}/libnetfilter_cthelper
%{_includedir}/libnetfilter_cthelper/*.h
%{_libdir}/*.so

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.0-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Nov 25 2022 Shuo Wang <abushwang@tencent.com> - 1.0.0-1
- initial build
